namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter02.Listing02_01To06
{
    public class Program
    {
        public static void Main()
        {
            //Początek listingu 2.1
            System.Console.WriteLine(42);
            System.Console.WriteLine(1.618034);
            //Koniec listingu 2.1

            //Początek listingu 2.2
            System.Console.WriteLine(1.618033988749895);
            //Koniec listingu 2.2

            //Początek listingu 2.3
            System.Console.WriteLine(1.618033988749895M);
            //Koniec listingu 2.3

            //Początek listingu 2.4
            System.Console.WriteLine(6.023E23F);
            //Koniec listingu 2.4

            //Początek listingu 2.5
            //Wyświetla 42 jako literał szesnastkowy
            System.Console.WriteLine(0x002A);
            //Koniec listingu 2.5

            //Początek listingu 2.6
            //Wyświetla "0x2A"
            System.Console.WriteLine($"0x{42:X}");
            //Koniec listingu 2.6
        }
    }
}
